*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body {
    position: relative;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

/* SIDEBAR */
/* Basic sidebar styling */
.sidebar {
  width: 0;
  height: 100vh;
  background: #333;
  color: #fff;
  position: fixed;
  overflow-x: hidden;
  top: 0;
  left: 0; /* hidden by default */
  transition: left 0.3s ease;
  z-index: 1000;
}


.sidebar .signIn{
  padding: 8px 16px;
  background-color: #ffd;
  color: rosybrown;
  border: 2px solid transparent;
  border-radius: 20px;
  font-size: 1.2em;
  font-weight: bold;
  cursor: pointer;
  transition: background-color 0.3s ease, transform 0.3s ease, border-color 0.3s ease, color 0.3s ease;
}
.sidebar .signIn:hover{
  background-color: transparent;
  color: #ffd;
  border-color: #ffd;
}
.sidebar nav{
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.sidebar nav a{
  padding: 4px 8px;
  text-decoration: none;
  color: #ffd;
  font-weight: bold;
  font-size: 18px;
  transition: color 0.3s ease, transform 0.3s ease;
}
.sidebar nav a:hover{
  color: #000;
  transform: translateX(10px);
}

/* MAIN HEADER */
.mainHeader{
    position: sticky;
    top: 0;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    background-color: white;
    border-top: 8px solid rgb(199, 10, 10);
    height: fit-content;
    z-index: 10;
}
.logo{
    padding: 0 20px 50px 20px;
    background-color: rgb(199, 10, 10);
}
.logo img{
    position: relative;
    width: 100px;
    height: 80px;
}
.headerNavs ul{
    display: flex;
    gap: 40px;
    padding: 20px;
}
.headerNavs li{
    list-style: none;
}
.headerNavs a{
    font-weight: bolder;
    text-decoration: none;
    color: rgb(199, 10, 10);
}

/* MENU BUTTON */
 /* menu button */
.menuBtn{
  width: 48px;
  height:50px;
  background: none;
  gap: 7px;
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 7px;
  border: none;
  pointer-events: none;
  cursor: pointer;
  transition: 0.3s ease;
}

.menuBtn div{
    background-color: yellow;
    height: 2px;
    width: 100%;
}
/* hero */
.hero{
    height: 65vh;
    display: flex;
    justify-content: center;
    background-color: rgba(211, 211, 211, 0.6);
}
.heroWrapper{
    position: relative;
    height: 100%;
    width: 1500px;
}
.hero img{
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 0;
}
.heroText{
    position: absolute;
    bottom: 0;
    z-index: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-left: 40px;
    color: white;
    height: 100%;
    max-width: 50%;

}
.hero h1{
    font-size: clamp(2em, 6vw, 4em);
    
}
.hero p{
    font-weight: 500;
}
.hero-cta{
    display: flex;
    gap: 20px;
    padding: 30px 0;
}
.cta-btn{
    padding: 14px 32px;
    font-weight: bold;
    text-decoration: none;
    font-size: 18px;
    border-radius: 25px;
}
.cta-btn:first-child{
    border: 2px solid rgb(199, 10, 10);
    background-color: rgb(199, 10, 10);
    color: white;
    transition: 0.3s ease;
}
.cta-btn:first-child:hover{
    background-color: white;
    color: rgb(199, 10, 10);
}
.cta-btn:last-child {
    background-color: white;
    color: #444;
    border: 2px solid white;
}
.cta-btn:last-child:hover{
    background-color: #444;
    color: white;
}

/* what to do */
.firstSection{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    padding: 80px 0;
    
}
.sctWrapper{
    max-width: 80%;
    min-height: 60vh;
}
.sctWrapper h2{
    position: relative;
    font-size: clamp(1.6em, 4vw, 3em);
    margin: 36px 0 40px 0;
}
.sctWrapper h2::before{
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    width: 120px;
    height: 2px;
    background-color: rgb(199, 10, 10);
}
.to-dos {
    width: 100%;
    height: 100%;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
}
.to-dos div{
  border: none;
  flex-wrap: wrap;
  margin-bottom: 40px;
  color: #393939;
}
.to-dos div h3{
    color: rgb(199, 10, 10);
    font-weight: 600;
    font-size: clamp(1.8em, 3vw, 3em);
    padding: 0;
    margin: 48px 0 16px 0;
}
.to-dos div p{
    
    margin: 18px 0;
    font-size: clamp(1.1em, 2vw, 1.3em);
}

/* second section */
.secondSection{
    margin: 60px 0;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.secondSection .container{
    max-width: 1200px;
    padding: 0 24px;
}
.contentArea{
    max-width: 780px;
    color: #393939;
}
.contentArea h2{
    font-size: clamp(1.8em, 4vw, 2.5em);
    margin: 34px 0 24px 0;
}
.contentArea p{
    font-size: clamp(1.1em, 2vw, 1.3em);
    line-height: 1.5em;
    margin: 18px 0 24px 0;
}

/* where we operate */
.location{
    min-height: 60vh;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 72px;
}
.locationWrapper{
    max-width: 1200px;
    display: grid;
    grid-template-columns: 1fr 1fr;
}
.locationWrapper img{
    border: 2px solid red;
}
.locations{
    padding: 40px 75px 40px 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.locations h2{
    font-size: clamp(1.8em, 4vw, 2.5em);
    margin: 34px 0 24px 0;
}
.locations p{
    font-size: clamp(1.1em, 2vw, 1.3em);
    line-height: 1.5em;
    margin: 18px 0 24px 0;
}
.cta-locations{
    width: fit-content;
    padding: 14px 32px;
    font-weight: bold;
    text-decoration: none;
    font-size: 18px;
    border-radius: 25px;
    border: 2px solid rgb(199, 10, 10);
    background-color: rgb(199, 10, 10);
    color: white;
    transition: 0.3s ease;
}
.cta-locations:hover{
    background-color: white;
    color: rgb(199, 10, 10);
}



@media (max-width: 1200px){
    .mainHeader{
        justify-content: space-between;
        background: rgb(199, 10, 10);
        padding: 14px 48px;
    }
    .logo{
        padding: 0;
    }
    .logo img{
        width: 70px;
        height: 50px;
    }
    .headerNavs{
        display: none;
    }
    .menuBtn{
        display: flex;
    }
    .heroText{
        max-width: 100%;
    }
    .to-dos {
        min-width: none;
        grid-template-columns: 1fr 1fr;
    }
    .locations{
        padding: 24px 24px 40px 24px;
    }
}
@media (max-width: 750px){
    .firstSection{
        padding: 40px 0 80px 0;
    }
    .heroText{
        padding: 0 20px;
    }
    .hero-cta{
        flex-direction: column;
    }
    
    .to-dos {
        grid-template-columns: 1fr;
    }
    .to-dos div h3{
        margin: 30px 8px;
    }

    .locationWrapper{
        display: flex;
        flex-direction: column-reverse;
    }
    .cta-locations{
        width: 100%;
        text-align: center;
    }
}

